package org.apache.seatunnel.datasource.plugin.s3;

import org.apache.hadoop.conf.Configuration;

import java.util.HashMap;
import java.util.Map;

import static org.junit.jupiter.api.Assertions.*;

class HadoopS3AConfigurationTest {
    public static void main(String[] args) {

        Map<String, String> map = new HashMap<>();

        map.put("groupName", "测试s3适配器1");
        map.put("adapterId", "1714559639070314496");
        map.put("bucket", "hdfs://192.168.1.174:9001/s3atests3");
        map.put("fs.s3a.endpoint", "http://192.168.1.174:9001");
        map.put("fs.s3a.connection.ssl.enabled", "false");
        map.put(
                "fs.s3a.aws.credentials.provider",
                "org.apache.hadoop.fs.s3a.SimpleAWSCredentialsProvider");
        map.put("hadoop_s3_properties", " ");
        map.put("access_key", "zyminio");
        map.put("secret_key", "zysoft123");
        Configuration configuration = HadoopS3AConfiguration.getConfiguration(map);

        System.out.println(configuration);
    }
}
